/**Begin D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_GOODS_INFO_ITEM') 
 CREATE TABLE T_BDM_GOODS_INFO_ITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALMODELNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELNUMUNIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELNUMRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALNO BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDM_GOODS_INFO' AND KSQL_COL_NAME ='FFILTER') 
 ALTER TABLE T_BDM_GOODS_INFO ADD (FFILTER VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDM_GOODS_INFO' AND KSQL_COL_NAME ='FFILTER_TAG') 
 ALTER TABLE T_BDM_GOODS_INFO ADD (FFILTER_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDM_GOODS_INFO' AND KSQL_COL_NAME ='FPRIORITY') 
 ALTER TABLE T_BDM_GOODS_INFO ADD (FPRIORITY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDM_GOODS_INFO' AND KSQL_COL_NAME ='FMATERIAL') 
 ALTER TABLE T_BDM_GOODS_INFO ADD (FMATERIAL BIGINT DEFAULT 0 NOT NULL );

/**End D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
